Ubuntu

kernel panic at boot

Reported by vincent on 2012-09-20
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

Linux xubuntu 3.5.0-15-generic #20-Ubuntu SMP Mon Sep 17 21:37:03 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

just download today (2012/09/20) the iso xubuntu AMD64. When I boot fron this iso my samsung 900x4c crash wih a kernel panic.
the las log is like the following (it's a manual copy )

....
CPU 3> Machine check Exception: 5 bank 6> be20...110a
RIP !INEXACT : IO:<FF.... >{inflate_fast -0x...... }
TSC 38 ... ADDR fe400 MISC 1688.......
PROCESSOR 0:306a9 TIME 13..... SOCKET 0 APIC 3 microsecond 12

same type of lines for CPU 2 1 et 0

[Hardware Error]: Machine check: Processor context corrupt

Kernel panic - not syncing Fatal machine Check

NB: If i edit the grub command and remove/delete the line
set gfxpayload=keep

xubuntu don't crash immediately, I have access to the desktop xfce but crash after between 1s to 30s
.
my laptop is a Samsung 900x4c.

cat /proc/version_signature > version.log
sudo lspci -vnvn > lspci-vnvn.log

vincent (virtual-machin) wrote :
vincent (virtual-machin) on 2012-09-20
tags: added: 3.5.0-15.20
Brad Figg (brad-figg) on 2012-09-20
affects: linux-meta (Ubuntu) → linux (Ubuntu)

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1053357

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: quantal
Joseph Salisbury (jsalisbury) wrote :

Are you booting the iso as a LiveCD? Do you happen to know if there was an earlier iso that did not have this panic?

Changed in linux (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
tags: added: kernel-da-key

After the last apt-get dist-ugrade my xubutu 12.10 crach each time before
the greeting. Before some times it crash but restart after one or to hard
reboot. I switch back to other kernel (3.5.14) and download the iso to test
if I have the same crash, and it does.

And to answer to your questions>
yes I boot the iso from my usbkey as a live cd
it should be the last kernel which cause the permanent failure. To confirm
that the pb appears with 3.5.15-20 I will try to upgrade my 3.5.14 to the
3.5.15-19 and I will come back to you.

Vincent

If you want more data , just ask and perhaps tell me how to collect them.

On Thu, Sep 20, 2012 at 5:19 PM, Joseph Salisbury <
<email address hidden>> wrote:

> Are you booting the iso as a LiveCD? Do you happen to know if there was
> an earlier iso that did not have this panic?
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: linux (Ubuntu)
> Importance: Medium => High
>
> ** Tags added: kernel-da-key
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1053357
>
> Title:
> kernel panic at boot
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Linux xubuntu 3.5.0-15-generic #20-Ubuntu SMP Mon Sep 17 21:37:03 UTC
> 2012 x86_64 x86_64 x86_64 GNU/Linux
>
>
> just download today (2012/09/20) the iso xubuntu AMD64. When I boot fron
> this iso my samsung 900x4c crash wih a kernel panic.
> the las log is like the following (it's a manual copy )
>
> ....
> CPU 3> Machine check Exception: 5 bank 6> be20...110a
> RIP !INEXACT : IO:<FF.... >{inflate_fast -0x...... }
> TSC 38 ... ADDR fe400 MISC 1688.......
> PROCESSOR 0:306a9 TIME 13..... SOCKET 0 APIC 3 microsecond 12
>
> same type of lines for CPU 2 1 et 0
>
> [Hardware Error]: Machine check: Processor context corrupt
>
> Kernel panic - not syncing Fatal machine Check
>
> NB: If i edit the grub command and remove/delete the line
> set gfxpayload=keep
>
> xubuntu don't crash immediately, I have access to the desktop xfce but
> crash after between 1s to 30s
> .
> my laptop is a Samsung 900x4c.
>
>
> cat /proc/version_signature > version.log
> sudo lspci -vnvn > lspci-vnvn.log
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1053357/+subscriptions
>

vincent (virtual-machin) wrote :

correction do no read 3.5.15-10 but 3.5.0-15-20 ...

On Sat, Sep 22, 2012 at 11:53 AM, virtual machine
<email address hidden>wrote:

> After the last apt-get dist-ugrade my xubutu 12.10 crach each time before
> the greeting. Before some times it crash but restart after one or to hard
> reboot. I switch back to other kernel (3.5.14) and download the iso to test
> if I have the same crash, and it does.
>
> And to answer to your questions>
> yes I boot the iso from my usbkey as a live cd
> it should be the last kernel which cause the permanent failure. To confirm
> that the pb appears with 3.5.15-20 I will try to upgrade my 3.5.14 to the
> 3.5.15-19 and I will come back to you.
>
> Vincent
>
> If you want more data , just ask and perhaps tell me how to collect them.
>
> On Thu, Sep 20, 2012 at 5:19 PM, Joseph Salisbury <
> <email address hidden>> wrote:
>
>> Are you booting the iso as a LiveCD? Do you happen to know if there was
>> an earlier iso that did not have this panic?
>>
>> ** Changed in: linux (Ubuntu)
>> Importance: Undecided => Medium
>>
>> ** Changed in: linux (Ubuntu)
>> Importance: Medium => High
>>
>> ** Tags added: kernel-da-key
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1053357
>>
>> Title:
>> kernel panic at boot
>>
>> Status in “linux” package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Linux xubuntu 3.5.0-15-generic #20-Ubuntu SMP Mon Sep 17 21:37:03 UTC
>> 2012 x86_64 x86_64 x86_64 GNU/Linux
>>
>>
>> just download today (2012/09/20) the iso xubuntu AMD64. When I boot
>> fron this iso my samsung 900x4c crash wih a kernel panic.
>> the las log is like the following (it's a manual copy )
>>
>> ....
>> CPU 3> Machine check Exception: 5 bank 6> be20...110a
>> RIP !INEXACT : IO:<FF.... >{inflate_fast -0x...... }
>> TSC 38 ... ADDR fe400 MISC 1688.......
>> PROCESSOR 0:306a9 TIME 13..... SOCKET 0 APIC 3 microsecond 12
>>
>> same type of lines for CPU 2 1 et 0
>>
>> [Hardware Error]: Machine check: Processor context corrupt
>>
>> Kernel panic - not syncing Fatal machine Check
>>
>> NB: If i edit the grub command and remove/delete the line
>> set gfxpayload=keep
>>
>> xubuntu don't crash immediately, I have access to the desktop xfce but
>> crash after between 1s to 30s
>> .
>> my laptop is a Samsung 900x4c.
>>
>>
>> cat /proc/version_signature > version.log
>> sudo lspci -vnvn > lspci-vnvn.log
>>
>> To manage notifications about this bug go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1053357/+subscriptions
>>
>
>

vincent (virtual-machin) wrote :
Download full text (7.7 KiB)

please found below the upgrade log which introduce the kernel panic.

Start-Date: 2012-09-20 09:39:16
Commandline: apt-get dist-upgrade
Install: libtxc-dxtn-s2tc0:amd64 (0~git20110809-3, automatic),
libtxc-dxtn-s2tc0:i386 (0~git20110809-3, automatic)
Upgrade: sane-utils:amd64 (1.0.22-7ubuntu3, 1.0.23-0ubuntu1),
linux-image-extra-3.5.0-15-generic:amd64 (3.5.0-15.20, 3.5.0-15.22),
libqt4-declarative:amd64 (4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1),
libqt4-declarative:i386 (4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1),
libcupsppdc1:amd64 (1.6.1-0ubuntu5, 1.6.1-0ubuntu6), libqt4-qt3support:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libcupsimage2:amd64
(1.6.1-0ubuntu5, 1.6.1-0ubuntu6), libcupsimage2:i386 (1.6.1-0ubuntu5,
1.6.1-0ubuntu6), libcupscgi1:amd64 (1.6.1-0ubuntu5, 1.6.1-0ubuntu6),
libglib2.0-data:amd64 (2.33.12-3, 2.33.14-1), libjpeg-turbo8:amd64
(1.1.90+svn733-0ubuntu6, 1.2.1-0ubuntu1), libjpeg-turbo8:i386
(1.1.90+svn733-0ubuntu6, 1.2.1-0ubuntu1), qdbus:amd64 (4.8.2+dfsg-2ubuntu1,
4.8.3+dfsg-0ubuntu1), libsane:amd64 (1.0.22-7ubuntu3, 1.0.23-0ubuntu1),
libsane:i386 (1.0.22-7ubuntu3, 1.0.23-0ubuntu1), libqt4-test:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-script:amd64
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-script:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-designer:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-network:amd64
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-network:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), openjdk-7-jre:amd64
(7u7-2.3.2a-0ubuntu1, 7u7-2.3.2a-1ubuntu1), libqt4-dbus:amd64
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-dbus:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libgl1-mesa-dri:amd64
(9.0~git20120917.7cfd42ce-0ubuntu1, 9.0~git20120917.7cfd42ce-0ubuntu2),
libgl1-mesa-dri:i386 (9.0~git20120917.7cfd42ce-0ubuntu1,
9.0~git20120917.7cfd42ce-0ubuntu2), cups-client:amd64 (1.6.1-0ubuntu5,
1.6.1-0ubuntu6), libgl1-mesa-glx:amd64 (9.0~git20120917.7cfd42ce-0ubuntu1,
9.0~git20120917.7cfd42ce-0ubuntu2), libgl1-mesa-glx:i386
(9.0~git20120917.7cfd42ce-0ubuntu1, 9.0~git20120917.7cfd42ce-0ubuntu2),
libindicator3-7:amd64 (12.10.0-0ubuntu2, 12.10.1-0ubuntu1),
linux-image-3.5.0-15-generic:amd64 (3.5.0-15.20, 3.5.0-15.22),
libglapi-mesa:amd64 (9.0~git20120917.7cfd42ce-0ubuntu1,
9.0~git20120917.7cfd42ce-0ubuntu2), libglapi-mesa:i386
(9.0~git20120917.7cfd42ce-0ubuntu1, 9.0~git20120917.7cfd42ce-0ubuntu2),
gir1.2-gtk-3.0:amd64 (3.5.18-0ubuntu1, 3.5.18-0ubuntu2), libqt4-opengl:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libglib2.0-0:amd64 (2.33.12-3,
2.33.14-1), libglib2.0-0:i386 (2.33.12-3, 2.33.14-1), cups-ppdc:amd64
(1.6.1-0ubuntu5, 1.6.1-0ubuntu6), libqt4-xmlpatterns:amd64
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), libqt4-xmlpatterns:i386
(4.8.2+dfsg-2ubuntu1, 4.8.3+dfsg-0ubuntu1), update-manager:amd64 (0.173,
0.174), update-manager-core:amd64 (0.173, 0.174),
python3-update-manager:amd64 (0.173, 0.174), xubuntu-docs:amd64 (12.10.0,
12.10.1), libindicator7:amd64 (12.10.0-0ubuntu2, 12.10.1-0ubuntu1),
libgtk-3-bin:amd64 (3.5.18-0ubuntu1, 3.5.18-0ubuntu2), cups-common:amd64
(1.6.1-0ubuntu5, 1.6.1-0ubuntu6), libcups2:amd64 (1.6.1-0ubuntu5,
1.6.1-0ubuntu6), libcu...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

hi as I have a kernel panic which freeze completly the laptoip, I don't
know how to save/read the log files. But I manualy&visualy copy the log I
can see on the feeze screen to the body of launchpad bug report. If I can
do something more feel free to send me the command/procedure and I'll run
them asap.

BR
Vincent

On Thu, Sep 20, 2012 at 2:30 PM, Brad Figg <email address hidden> wrote:

> This bug is missing log files that will aid in diagnosing the problem.
> >From a terminal window please run:
>
> apport-collect 1053357
>
> and then change the status of the bug to 'Confirmed'.
>
> If, due to the nature of the issue you have encountered, you are unable
> to run this command, please add a comment stating that fact and change
> the bug status to 'Confirmed'.
>
> This change has been made by an automated script, maintained by the
> Ubuntu Kernel Team.
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> ** Tags added: quantal
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1053357
>
> Title:
> kernel panic at boot
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> Linux xubuntu 3.5.0-15-generic #20-Ubuntu SMP Mon Sep 17 21:37:03 UTC
> 2012 x86_64 x86_64 x86_64 GNU/Linux
>
>
> just download today (2012/09/20) the iso xubuntu AMD64. When I boot fron
> this iso my samsung 900x4c crash wih a kernel panic.
> the las log is like the following (it's a manual copy )
>
> ....
> CPU 3> Machine check Exception: 5 bank 6> be20...110a
> RIP !INEXACT : IO:<FF.... >{inflate_fast -0x...... }
> TSC 38 ... ADDR fe400 MISC 1688.......
> PROCESSOR 0:306a9 TIME 13..... SOCKET 0 APIC 3 microsecond 12
>
> same type of lines for CPU 2 1 et 0
>
> [Hardware Error]: Machine check: Processor context corrupt
>
> Kernel panic - not syncing Fatal machine Check
>
> NB: If i edit the grub command and remove/delete the line
> set gfxpayload=keep
>
> xubuntu don't crash immediately, I have access to the desktop xfce but
> crash after between 1s to 30s
> .
> my laptop is a Samsung 900x4c.
>
>
> cat /proc/version_signature > version.log
> sudo lspci -vnvn > lspci-vnvn.log
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1053357/+subscriptions
>

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc7-quantal/

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
vincent (virtual-machin) wrote :

upgrade to the upstream kernel:

Linux version 3.6.0-030600rc7-generic (apw@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #201209232235 SMP Mon Sep 24 02:36:02 UTC 2012

Not only I don´t have the systematic crash but the random one with the kernel 3.5.0-14 seems vanished also!
I booted more then 15 times since the upgrade and no crash.

I add the tag kernel-fixed-upstream.

tags: added: kernel-fixed-upstream
tags: removed: needs-upstream-testing
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments